Host V Motion System Select Vnic

Host V Motion System Select Vnic
Select the VirtualNic to be used for VMotion.

Select the VirtualNic to be used for VMotion.

Required privileges: Host.Config.Network

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostVMotionSystem/{moId}/SelectVnic
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVMotionSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
SelectVnicRequestType of type(s) application/json
Required
{
    "device": "string"
}
string
device
Required

The device that uniquely identifies the VirtualNic.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

InvalidArgument: if key represents a nonexistent or invalid VirtualNic.

HostConfigFault: for any other failure

Returns HostConfigFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"device":"string"}' https://{api_host}/sdk/vim25/{release}/HostVMotionSystem/{moId}/SelectVnic